#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-FXGwsjxxXHfGlA2hv1RTwF
key:                  hOpenPGP-2.9.8-FXGwsjxxXHfGlA2hv1RTwF
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  f85d8c6163300dee7b78269ebefe2bd4
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-FXGwsjxxXHfGlA2hv1RTwF
depends:
    aeson-1.5.6.0-2qjjmnAKexuB7sng1Bw4lo
    asn1-encoding-0.9.6-B4x33dBXFxE83c3GuXiArF
    attoparsec-0.14.4-DMcS99nTm58Eee5UCcw5RC base-4.15.1.0
    base16-bytestring-1.0.2.0-CVNidWeJUzxBcRvOrpnFpf
    bifunctors-5.5.12-5P5be0Nxfrq2eektliYGx0 binary-0.8.8.0
    binary-conduit-1.3.1-OnUPSZcGbv29i5kSFfGfU bytestring-0.10.12.1
    bz2-1.0.1.0-CE7FnSYFTXbH88Vv4atqlH
    conduit-1.3.4.2-5Sfb9MxGjGeJfVZ4wYaBEO
    conduit-extra-1.3.6-It5DsNPrHoo2pE9imSaaNb containers-0.6.4.1
    crypto-cipher-types-0.0.9-Eb32mKWiXi08hJgQY526gG
    cryptonite-0.30-L4fqd7brJ5d8pR74GwVhWw
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.0.2-CrwWUjblcagC4Y59k0KZoQ
    incremental-parser-0.5.0.3-3LLcYquDub7EB0AMoPt1bp
    ixset-typed-0.5.1.0-39EZefyMhkU74OGkj2lmLX
    lens-5.1.1-JKtKPe6BfUt9SywSZWmNtq
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-2cnZ9iKtm0MDdR0VmkRbCB
    network-uri-2.6.4.1-BmyltjCCdTuAWDvDK1ZaAx
    openpgp-asciiarmor-0.1.2-AdoHfnEHJDt8WjBKpfYN8d
    prettyprinter-1.7.1-53xkqxFr9cxLgS1WaiQR64
    resourcet-1.2.6-7SxpuU6eh4f7w9cLMDUzC1
    split-0.2.3.4-5K8Vjv5dRmm5yFICJ7kmLf text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-FiUFtsHtx28IfDtF4iaH6c
    zlib-0.6.3.0-7sRFbB6f3ZDFUPAe6PoyXI

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

